bos_adduser(8)

NAME
bos_adduser - Adds a privileged user to the UserList file

SYNOPSIS
bos adduser << -server <machine name >>> << -user <user names+ >>>
    << [-cell <cell name] >>> [-noauth] [-localauth] [-help]

bos addu << -s <machine name >>> << -u <user names+ >>>
    << [-c <cell name] >>> [-n] [-l] [-h]

DESCRIPTION
The bos adduser command adds each user name specified with the -user argument to the /usr/afs/etc/UserList file on the machine named by the -server argument. It is the issuer's responsibility to verify that an entry for the user exists in the Authentication and Protection Databases.

OPTIONS

-server <machine name>
    Indicates the server machine on which to change the /usr/afs/etc/UserList file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the bos(8) manpage.

    In cells that use the Update Server to distribute the contents of the /usr/afs/etc directory, it is conventional to specify only the system control machine as a value for the -server argument. Otherwise, repeat the command for each file server machine. For further discussion, see the bos(8) manpage.

-user <user names>+
    Specifies each user name to insert into the /usr/afs/etc/UserList file.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the bos(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the bos(8) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the bos(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command adds the user names pat and smith to the /usr/afs/etc/UserList file on the machine fs1.abc.com (the system control machine).

   % bos adduser -server fs1.abc.com -user pat smith

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the KeyFile(5) manpage, the UserList(5) manpage, the bos(8) manpage, the bos_listusers(8) manpage, the bos_removeuser(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.